D3D11VertexBuffer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
D3D11VertexBuffer Class Reference

Concrete vertex buffer class for DirectX subvision and DirectX drawing. More...

`#include <d3d11VertexBuffer.h>`

## Public Member Functions
virtual | ~D3D11VertexBuffer ()
| Destructor. More...
void | UpdateData (const float *src, int startVertex, int numVertices, ID3D11DeviceContext *deviceContext)
int | GetNumElements () const
| Returns how many elements defined in this vertex buffer. More...
int | GetNumVertices () const
| Returns how many vertices allocated in this vertex buffer. More...
ID3D11Buffer * | BindD3D11Buffer (ID3D11DeviceContext *deviceContext)
| Returns the D3D11 buffer object. More...
ID3D11Buffer * | BindVBO (ID3D11DeviceContext *deviceContext)
| Returns the D3D11 buffer object (for Osd::Mesh interface) More...
ID3D11UnorderedAccessView * | BindD3D11UAV (ID3D11DeviceContext *deviceContext)
| Returns the D3D11 UAV. More...

## Static Public Member Functions
static D3D11VertexBuffer * | Create (int numElements, int numVertices, ID3D11DeviceContext *deviceContext)
| Creator. Returns NULL if error. More...

## Protected Member Functions
| D3D11VertexBuffer (int numElements, int numVertices)
| Constructor. More...
bool | allocate (ID3D11Device *device)

## Detailed Description

Concrete vertex buffer class for DirectX subvision and DirectX drawing.

D3D11VertexBuffer implements D3D11VertexBufferInterface. An instance of this buffer class can be passed to D3D11ComputeEvaluator.

Definition at line 46 of file d3d11VertexBuffer.h.

## Constructor & Destructor Documentation

virtual ~D3D11VertexBuffer | ( |  | ) |
| virtual

Destructor.

D3D11VertexBuffer | ( | int | numElements,
|  | int | numVertices
| ) |  |
| protected

Constructor.

## Member Function Documentation

bool allocate | ( | ID3D11Device * | device | ) |
| protected

ID3D11Buffer* BindD3D11Buffer | ( | ID3D11DeviceContext * | deviceContext | ) |

Returns the D3D11 buffer object.

ID3D11UnorderedAccessView* BindD3D11UAV | ( | ID3D11DeviceContext * | deviceContext | ) |

Returns the D3D11 UAV.

ID3D11Buffer* BindVBO | ( | ID3D11DeviceContext * | deviceContext | ) |
| inline

Returns the D3D11 buffer object (for Osd::Mesh interface)

Definition at line 70 of file d3d11VertexBuffer.h.

static D3D11VertexBuffer* Create | ( | int | numElements,
|  | int | numVertices,
|  | ID3D11DeviceContext * | deviceContext
| ) |  |
| static

Creator. Returns NULL if error.

int GetNumElements | ( |  | ) | const

Returns how many elements defined in this vertex buffer.

int GetNumVertices | ( |  | ) | const

Returns how many vertices allocated in this vertex buffer.

void UpdateData | ( | const float * | src,
|  | int | startVertex,
|  | int | numVertices,
|  | ID3D11DeviceContext * | deviceContext
| ) |  |

This method is meant to be used in client code in order to provide coarse vertices data to Osd.

The documentation for this class was generated from the following file:

- opensubdiv/osd/d3d11VertexBuffer.h